'use strict';

/* jasmine specs for controllers go here */

describe('PolicyListCtrl', function(){
  
  var ctrl, scope, $httpBackEnd;

  beforeEach( inject(function(_$httpBackEnd_, $rootScope, $controller){
    $httpBackEnd = _$httpBackEnd_;
    $httpBackEnd.expectGet('policies/policies.json').
      respond(
        [{"id":1,"writingAgentName":"Haynes, Keith","writingAgentNumber":2722003,"receivedDate":"2/22/2013","policyEffectiveDate":"3/26/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":1841170,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7910474.49","ownerName":"Sharp, Paul"},{"id":2,"writingAgentName":"Haynes, Keith","writingAgentNumber":8157610,"receivedDate":"2/22/2013","policyEffectiveDate":"4/4/2013","insuredAnnuitantName":"Sharp, Annah","policyNumber":5015491,"product":"Life Pro Plus and life pro plus some more and more and more and more","qualifiedPlanType":"","policyStatus":"Pending","accumulationAnnuitizationValue":"4328331.93","ownerName":"Sharp, Paul"},{"id":3,"writingAgentName":"Haynes, Keith","writingAgentNumber":2085958,"receivedDate":"2/17/2013","policyEffectiveDate":"5/16/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":2509576,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1320753.85","ownerName":"Sharp, Paul"},{"id":4,"writingAgentName":"Spencer, Ray","writingAgentNumber":8114840,"receivedDate":"2/12/2013","policyEffectiveDate":"5/1/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":7562402,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4859576.91","ownerName":"Welch, Cinda"},{"id":5,"writingAgentName":"Briggs, Karen","writingAgentNumber":7750053,"receivedDate":"2/11/2013","policyEffectiveDate":"4/30/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":5399830,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1030592.37","ownerName":"Vogt, Anthony"},{"id":6,"writingAgentName":"Canada, John","writingAgentNumber":5308579,"receivedDate":"2/16/2013","policyEffectiveDate":"4/30/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":6814583,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7408335.10","ownerName":"Marchant, Juanita"},{"id":7,"writingAgentName":"Kiesling, Robert","writingAgentNumber":4165808,"receivedDate":"2/23/2013","policyEffectiveDate":"5/25/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":5942265,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1368790.57","ownerName":"Bowe, Cynthia"},{"id":8,"writingAgentName":"Villa, George","writingAgentNumber":8099954,"receivedDate":"2/9/2013","policyEffectiveDate":"4/26/2013","insuredAnnuitantName":"Brundies, Steven","policyNumber":8469366,"product":"PIMCO 360 Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"5561836.48","ownerName":"Brundies, Steven"},{"id":9,"writingAgentName":"Haynes, Keith","writingAgentNumber":4676510,"receivedDate":"2/12/2013","policyEffectiveDate":"4/10/2013","insuredAnnuitantName":"Sharp, Annah","policyNumber":7078634,"product":"Life Pro Plus","qualifiedPlanType":"","policyStatus":"Pending","accumulationAnnuitizationValue":"3145666.12","ownerName":"Sharp, Paul"},{"id":10,"writingAgentName":"Haynes, Keith","writingAgentNumber":6894447,"receivedDate":"2/19/2013","policyEffectiveDate":"4/22/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":1259085,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2256885.57","ownerName":"Sharp, Paul"},{"id":11,"writingAgentName":"Spencer, Ray","writingAgentNumber":4668770,"receivedDate":"2/14/2013","policyEffectiveDate":"3/21/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":6700566,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2838510.44","ownerName":"Welch, Cinda"},{"id":12,"writingAgentName":"Briggs, Karen","writingAgentNumber":8142550,"receivedDate":"2/10/2013","policyEffectiveDate":"3/15/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":1911975,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"876379.87","ownerName":"Vogt, Anthony"},{"id":13,"writingAgentName":"Canada, John","writingAgentNumber":1040453,"receivedDate":"2/20/2013","policyEffectiveDate":"3/27/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":4275516,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3323307.85","ownerName":"Marchant, Juanita"},{"id":14,"writingAgentName":"Kiesling, Robert","writingAgentNumber":2476576,"receivedDate":"2/12/2013","policyEffectiveDate":"4/15/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":8947793,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2483693.97","ownerName":"Bowe, Cynthia"},{"id":15,"writingAgentName":"Villa, George","writingAgentNumber":6186828,"receivedDate":"2/24/2013","policyEffectiveDate":"4/16/2013","insuredAnnuitantName":"Brundies, Steven","policyNumber":7384467,"product":"PIMCO 360 Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3930232.11","ownerName":"Brundies, Steven"},{"id":16,"writingAgentName":"Briggs, Karen","writingAgentNumber":5726286,"receivedDate":"2/18/2013","policyEffectiveDate":"3/27/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":3131655,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4796883.41","ownerName":"Vogt, Anthony"},{"id":17,"writingAgentName":"Haynes, Keith","writingAgentNumber":2829679,"receivedDate":"2/16/2013","policyEffectiveDate":"4/29/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":2735844,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2253198.20","ownerName":"Sharp, Paul"},{"id":18,"writingAgentName":"Spencer, Ray","writingAgentNumber":3728952,"receivedDate":"2/16/2013","policyEffectiveDate":"4/21/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":2072150,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7183546.38","ownerName":"Welch, Cinda"},{"id":19,"writingAgentName":"Briggs, Karen","writingAgentNumber":5059985,"receivedDate":"2/14/2013","policyEffectiveDate":"5/1/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":2179046,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2374135.41","ownerName":"Vogt, Anthony"},{"id":20,"writingAgentName":"Canada, John","writingAgentNumber":3485196,"receivedDate":"2/6/2013","policyEffectiveDate":"5/16/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":5001310,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"441982.25","ownerName":"Marchant, Juanita"},{"id":21,"writingAgentName":"Kiesling, Robert","writingAgentNumber":4574127,"receivedDate":"2/18/2013","policyEffectiveDate":"6/11/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":2657499,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7928100.15","ownerName":"Bowe, Cynthia"},{"id":22,"writingAgentName":"Villa, George","writingAgentNumber":8173447,"receivedDate":"2/21/2013","policyEffectiveDate":"4/2/2013","insuredAnnuitantName":"Brundies, Steven","policyNumber":3408528,"product":"PIMCO 360 Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1211949.70","ownerName":"Brundies, Steven"},{"id":23,"writingAgentName":"Haynes, Keith","writingAgentNumber":5740666,"receivedDate":"2/11/2013","policyEffectiveDate":"5/7/2013","insuredAnnuitantName":"Sharp, Annah","policyNumber":4087395,"product":"Life Pro Plus","qualifiedPlanType":"","policyStatus":"Pending","accumulationAnnuitizationValue":"915894.37","ownerName":"Sharp, Paul"},{"id":24,"writingAgentName":"Haynes, Keith","writingAgentNumber":3369490,"receivedDate":"2/17/2013","policyEffectiveDate":"5/15/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":8455959,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3088921.49","ownerName":"Sharp, Paul"},{"id":25,"writingAgentName":"Spencer, Ray","writingAgentNumber":7946155,"receivedDate":"2/22/2013","policyEffectiveDate":"4/17/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":4817738,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2166868.80","ownerName":"Welch, Cinda"},{"id":26,"writingAgentName":"Briggs, Karen","writingAgentNumber":3375633,"receivedDate":"2/22/2013","policyEffectiveDate":"6/20/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":1831364,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4770221.24","ownerName":"Vogt, Anthony"},{"id":27,"writingAgentName":"Canada, John","writingAgentNumber":8475323,"receivedDate":"2/17/2013","policyEffectiveDate":"3/17/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":7038456,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4838675.82","ownerName":"Marchant, Juanita"},{"id":28,"writingAgentName":"Kiesling, Robert","writingAgentNumber":1940778,"receivedDate":"2/11/2013","policyEffectiveDate":"4/14/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":6786439,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3756186.46","ownerName":"Bowe, Cynthia"},{"id":29,"writingAgentName":"Briggs, Karen","writingAgentNumber":6221002,"receivedDate":"2/17/2013","policyEffectiveDate":"5/12/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":5981230,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"5452296.54","ownerName":"Vogt, Anthony"},{"id":30,"writingAgentName":"Canada, John","writingAgentNumber":7304064,"receivedDate":"2/17/2013","policyEffectiveDate":"5/14/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":1291566,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"8428499.65","ownerName":"Marchant, Juanita"},{"id":31,"writingAgentName":"Kiesling, Robert","writingAgentNumber":6335221,"receivedDate":"2/8/2013","policyEffectiveDate":"3/27/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":1015045,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1902020.36","ownerName":"Bowe, Cynthia"},{"id":32,"writingAgentName":"Villa, George","writingAgentNumber":8562312,"receivedDate":"2/10/2013","policyEffectiveDate":"5/18/2013","insuredAnnuitantName":"Brundies, Steven","policyNumber":4909828,"product":"PIMCO 360 Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2571821.65","ownerName":"Brundies, Steven"},{"id":33,"writingAgentName":"Haynes, Keith","writingAgentNumber":7847955,"receivedDate":"2/20/2013","policyEffectiveDate":"4/18/2013","insuredAnnuitantName":"Sharp, Annah","policyNumber":5744022,"product":"Life Pro Plus","qualifiedPlanType":"","policyStatus":"Pending","accumulationAnnuitizationValue":"2341572.22","ownerName":"Sharp, Paul"},{"id":34,"writingAgentName":"Haynes, Keith","writingAgentNumber":7380491,"receivedDate":"2/22/2013","policyEffectiveDate":"4/29/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":7918561,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7346889.51","ownerName":"Sharp, Paul"},{"id":35,"writingAgentName":"Spencer, Ray","writingAgentNumber":8423755,"receivedDate":"2/13/2013","policyEffectiveDate":"3/25/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":8145110,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"5055347.40","ownerName":"Welch, Cinda"},{"id":36,"writingAgentName":"Briggs, Karen","writingAgentNumber":2367091,"receivedDate":"2/10/2013","policyEffectiveDate":"3/28/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":4190635,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"5884696.41","ownerName":"Vogt, Anthony"},{"id":37,"writingAgentName":"Canada, John","writingAgentNumber":5650879,"receivedDate":"2/23/2013","policyEffectiveDate":"3/29/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":5775468,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3791364.93","ownerName":"Marchant, Juanita"},{"id":38,"writingAgentName":"Kiesling, Robert","writingAgentNumber":6331972,"receivedDate":"2/11/2013","policyEffectiveDate":"5/9/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":2786815,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"3877113.57","ownerName":"Bowe, Cynthia"},{"id":39,"writingAgentName":"Briggs, Karen","writingAgentNumber":8649443,"receivedDate":"2/17/2013","policyEffectiveDate":"5/2/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":8329130,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4933192.77","ownerName":"Vogt, Anthony"},{"id":40,"writingAgentName":"Canada, John","writingAgentNumber":8908063,"receivedDate":"2/12/2013","policyEffectiveDate":"5/19/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":8048965,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"4656469.81","ownerName":"Marchant, Juanita"},{"id":41,"writingAgentName":"Kiesling, Robert","writingAgentNumber":7766607,"receivedDate":"2/20/2013","policyEffectiveDate":"5/28/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":8603603,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"7187135.31","ownerName":"Bowe, Cynthia"},{"id":42,"writingAgentName":"Villa, George","writingAgentNumber":5178745,"receivedDate":"2/8/2013","policyEffectiveDate":"4/21/2013","insuredAnnuitantName":"Brundies, Steven","policyNumber":3669795,"product":"PIMCO 360 Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2640068.15","ownerName":"Brundies, Steven"},{"id":43,"writingAgentName":"Haynes, Keith","writingAgentNumber":6614366,"receivedDate":"2/15/2013","policyEffectiveDate":"3/16/2013","insuredAnnuitantName":"Sharp, Annah","policyNumber":7606062,"product":"Life Pro Plus","qualifiedPlanType":"","policyStatus":"Pending","accumulationAnnuitizationValue":"8365968.24","ownerName":"Sharp, Paul"},{"id":44,"writingAgentName":"Haynes, Keith","writingAgentNumber":5295388,"receivedDate":"2/20/2013","policyEffectiveDate":"6/18/2013","insuredAnnuitantName":"Sharp, Paul","policyNumber":5914099,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"Roth IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2021990.11","ownerName":"Sharp, Paul"},{"id":45,"writingAgentName":"Spencer, Ray","writingAgentNumber":6772793,"receivedDate":"2/13/2013","policyEffectiveDate":"3/18/2013","insuredAnnuitantName":"Welch, Cinda","policyNumber":4225666,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"5589490.95","ownerName":"Welch, Cinda"},{"id":46,"writingAgentName":"Briggs, Karen","writingAgentNumber":7708834,"receivedDate":"2/11/2013","policyEffectiveDate":"3/29/2013","insuredAnnuitantName":"Vogt, Anthony","policyNumber":3270490,"product":"MasterDex X","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"6855062.39","ownerName":"Vogt, Anthony"},{"id":47,"writingAgentName":"Canada, John","writingAgentNumber":5454785,"receivedDate":"2/23/2013","policyEffectiveDate":"4/21/2013","insuredAnnuitantName":"Marchant, Juanita","policyNumber":3324816,"product":"PIMCO Endurance Plus Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"1874598.73","ownerName":"Marchant, Juanita"},{"id":48,"writingAgentName":"Kiesling, Robert","writingAgentNumber":4696235,"receivedDate":"2/18/2013","policyEffectiveDate":"5/22/2013","insuredAnnuitantName":"Bowe, Cynthia","policyNumber":7104364,"product":"PIMCO 365i Annuity","qualifiedPlanType":"IRA","policyStatus":"Pending","accumulationAnnuitizationValue":"2275413.68","ownerName":"Bowe, Cynthia"}]  
      )
    $scope = $rootScope.$new();
    ctrl = $controller(PolicyListCtrl, {$scope: scope});
    console.log('RESET')
  }) );

 
 

});


